> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get store locations that cover specified location (latitude & longitude, city_zipcode)

> Find store locations whose delivery zones cover a given geographic point. Provide latitude/longitude, city_zipcode, or zipcode to find matching store locations.



## OpenAPI

````yaml get /v1/store_locations/coverage
openapi: 3.1.0
info:
  title: Nash API
  version: 1.0.0
servers:
  - url: https://api.sandbox.usenash.com
    description: Sandbox API
  - url: https://api.sandbox.ap-southeast-2.usenash.com
    description: Sandbox API (Australia)
  - url: https://api.usenash.com
    description: Production API
  - url: https://api.ap-southeast-2.usenash.com
    description: Production API (Australia)
security: []
tags:
  - name: Notifications
    description: Notifications
    x-nash-topic: config
  - name: Annotate
    description: Annotate
    x-nash-topic: wismo
  - name: Notifications — Send
    description: One-off notification send without a NotificationTrigger.
    x-nash-topic: notifications
  - name: Shipping
    description: Shipping operations
    x-nash-topic: shipping
  - name: Workflow
    description: Workflow automation management
    x-nash-topic: scheduling
  - name: Workflow Execution
    description: Workflow execution history and monitoring
    x-nash-topic: scheduling
  - name: Optimization Strategies
    description: Create, read, update, and delete route optimization strategies.
    x-nash-topic: scheduling
  - name: AI Agents
    description: AI agent management — create, read, update, and delete agents
    x-nash-topic: config
  - name: AI Functions
    description: LLM-backed domain tools
    x-nash-topic: ai
  - name: Webhooks
    description: Webhook delivery inspection
    x-nash-topic: webhooks
  - name: Fleet Simulator
    description: Simulate delivery status transitions in dev and sandbox environments.
    x-nash-topic: testing
  - name: Miscellaneous
    description: Miscellaneous
  - name: Job
    description: Job
    x-nash-topic: wismo
  - name: Batch Job
    description: Batch Job
    x-nash-topic: wismo
  - name: Order
    description: Order
    x-nash-topic: wismo
  - name: Route
    description: Route
    x-nash-topic: scheduling
  - name: Provider
    description: Provider
    x-nash-topic: provider
  - name: Dispatch Strategies
    description: Dispatch Strategies
    x-nash-topic: scheduling
  - name: Store Locations
    description: Store Locations
    x-nash-topic: config
  - name: Vehicles
    description: Vehicles
    x-nash-topic: provider
  - name: Couriers
    description: Couriers
    x-nash-topic: provider
  - name: Shifts
    description: Shifts
    x-nash-topic: provider
  - name: Delivery Windows
    description: Delivery Windows
    x-nash-topic: config
  - name: Templates
    description: Templates
    x-nash-topic: config
  - name: Zones
    description: Zones
    x-nash-topic: config
  - name: Feedback
    description: Feedback
    x-nash-topic: reporting
  - name: Organizations
    description: Organizations
    x-nash-topic: config
  - name: Store Catalog
    description: Store Catalog
    x-nash-topic: config
  - name: Messaging
    description: Messaging
    x-nash-topic: config
  - name: Contracts
    description: Provider contract pricing and version listings
    x-nash-topic: provider
  - name: Event Timeline
    description: Entity-scoped event timeline + outbound provider traffic for one entity.
    x-nash-topic: internal
  - name: Fleet
    description: Inbound endpoints fleets call to update in-flight deliveries.
    x-nash-topic: delivery
  - name: Route Restrictions
    description: Org-scoped geographic areas the route optimizer must avoid traversing.
    x-nash-topic: config
  - name: Users
    description: User, role, and organization-membership management.
    x-nash-topic: config
paths:
  /v1/store_locations/coverage:
    get:
      tags:
        - Store Locations
      summary: >-
        Get store locations that cover specified location (latitude & longitude,
        city_zipcode)
      description: >-
        Find store locations whose delivery zones cover a given geographic
        point. Provide latitude/longitude, city_zipcode, or zipcode to find
        matching store locations.
      operationId: get_store_locations_coverage_v1_store_locations_coverage_get
      parameters:
        - name: latitude
          in: query
          description: >-
            The latitude of the location to check coverage for. If used, must
            specify longitude
          required: false
          schema:
            title: Latitude
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The latitude of the location to check coverage for. If used, must
              specify longitude
            default: null
            example: '0.00'
          example: '0.00'
        - name: longitude
          in: query
          description: >-
            The longitude of the location to check coverage for. If used, must
            specify latitude
          required: false
          schema:
            title: Longitude
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The longitude of the location to check coverage for. If used, must
              specify latitude
            default: null
            example: '0.00'
          example: '0.00'
        - name: cityZipcode
          in: query
          description: >-
            The city_zipcode pair to check coverage for. The location must have
            coverage set up using the `City & Zip Code` unique field, not the
            separate `City` or `Zip Code` fields.
          required: false
          schema:
            title: Cityzipcode
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The city_zipcode pair to check coverage for. The location must
              have coverage set up using the `City & Zip Code` unique field, not
              the separate `City` or `Zip Code` fields.
            default: null
            example: sanfrancisco_94114
          example: sanfrancisco_94114
        - name: zipcode
          in: query
          description: The zipcode to check coverage for.
          required: false
          schema:
            title: Zipcode
            anyOf:
              - type: string
              - type: 'null'
            description: The zipcode to check coverage for.
            default: null
            example: '94114'
          example: '94114'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreLocationResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NashValidationError'
components:
  schemas:
    StoreLocationResponse:
      title: StoreLocationResponse
      required:
        - id
        - name
        - phoneNumber
        - location
        - zoneIds
        - zoneAssociations
        - tags
        - integrationMetadata
      type: object
      properties:
        externalId:
          title: Externalid
          anyOf:
            - type: string
            - type: 'null'
          description: Store location unique identifier from an external system.
          default: null
          example: '40123'
        operatingHours:
          title: Operatinghours
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: >-
            [Integration Specific]: An object with keys that correspond to days
            of week (monday, tuesday, etc) and their corresponding operating
            hours / delivery windows.
          default: null
          example:
            friday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
            monday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
            saturday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
            sunday:
              active: true
              shifts:
                - - '11:00'
                  - '18:00'
            thursday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
            tuesday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
            wednesday:
              active: true
              shifts:
                - - '10:00'
                  - '19:00'
        prepTimeMinutes:
          title: Preptimeminutes
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            [Integration Specific]: the preparation time to apply for orders, if
            relying on Nash to compute the delivery windows. This only applies
            to specific integrations.
          default: null
        blackoutDates:
          title: Blackoutdates
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: The blackout dates of the store location.
          default: null
          example:
            - '2024-01-01'
            - '2024-01-02'
        firstName:
          title: Firstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the person at the store location. If unknown, pass
            'Manager'. Limited to 80 characters.
          default: null
          example: Taylor
        lastName:
          title: Lastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the person at the store location. If unknown, pass
            'Manager'. Limited to 80 characters.
          default: null
          example: Swift
        email:
          title: Email
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the person at the store location.
          default: null
          example: taylor@swift.com
        pickupInstructions:
          title: Pickupinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The pickup instructions of the store location. Limited to 280
            characters. Nash Recommended Input: Order [insert order number] for
            [insert customer name] from [business name]
          default: null
          example: >-
            Once you arrive at the store, please click above to let us know you
            are here. Then, go ahead and find a sales associate inside - they'll
            be happy to help you!
        id:
          title: Id
          type: string
          description: The ID of the store location.
          example: stl_01234567890123456789
        name:
          title: Name
          type: string
          description: The name of the store location.
          example: White House
        phoneNumber:
          title: Phonenumber
          type: string
          description: The phone number of the person at the store location.
          example: '+1234567890'
        location:
          $ref: '#/components/schemas/ParsedAddressInputSerializer'
          description: The location of the store location.
        zoneIds:
          title: Zoneids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: The zone ids of the store location.
          example:
            - zone_01234567890123456789
            - zone_01234567890123456789
        zoneAssociations:
          title: Zoneassociations
          anyOf:
            - type: array
              items:
                type: object
                additionalProperties: true
            - type: 'null'
          description: The zone associations of the store location.
          example:
            - end_date: '2025-01-01'
              start_date: '2024-01-01'
              store_location_id: stl_01234567890123456789
              zone_id: zone_01234567890123456789
        tags:
          title: Tags
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: The tags of the store location.
          example: '[''service:rapid'', ''franchise_location'']'
        integrationMetadata:
          title: Integrationmetadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: The integration metadata of the store location.
          example:
            integration_name: ABC
      description: Response for store location.
    NashValidationError:
      title: NashValidationError
      required:
        - error
        - response_status
        - RequestID
      type: object
      properties:
        error:
          $ref: '#/components/schemas/NashErrorDetails'
        response_status:
          title: Response Status
          type: string
        RequestID:
          title: Requestid
          type: string
    ParsedAddressInputSerializer:
      title: ParsedAddressInputSerializer
      required:
        - street
        - city
        - country
      type: object
      properties:
        number:
          title: Number
          anyOf:
            - type: string
            - type: 'null'
          description: The number of the address.
          default: null
          example: '1600'
        secondaryNumber:
          title: Secondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: The secondary number of the address.
          default: null
          example: null
        street:
          title: Street
          type: string
          description: >-
            The street of the address. If your geocoding service does not split
            numbers from street names, you can pass the street name with the
            number in this field. Example: 1600 Pennsylvania Avenue NW.
          example: Pennsylvania Avenue NW
        county:
          title: County
          anyOf:
            - type: string
            - type: 'null'
          description: The county of the address.
          default: null
          example: Washington
        city:
          title: City
          type: string
          description: The city of the address.
          example: Washington
        state:
          title: State
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the address.
          default: null
          example: DC
        postalCode:
          title: Postalcode
          anyOf:
            - type: string
            - type: 'null'
          description: The postal code of the address.
          default: null
          example: '20500'
        country:
          title: Country
          type: string
          description: The country of the address.
          example: US
        latitude:
          title: Latitude
          anyOf:
            - type: number
            - type: 'null'
          description: The latitude of the address.
          default: null
          example: 38.8948949
        longitude:
          title: Longitude
          anyOf:
            - type: number
            - type: 'null'
          description: The longitude of the address.
          default: null
          example: -77.0371581
      description: Parsed address input serializer for creating a job.
    NashErrorDetails:
      title: NashErrorDetails
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
        details:
          title: Details
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          default: null

````